Update notifyer doesn't inform automatically if update-stamp is in the future

Bug #135262 reported by Timmie on 2007-08-28
4
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Medium
Michael Vogt

Bug Description

Binary package hint: update-manager

Since a while the update notifier doesn't inform me anymore about updates.

I have to run apt-get update once a while. After that it will pop up the star-like update symbol in the notification area.

I have anacron installed:

~$: dpkg -l|grep cron
ii anacron 2.3-13ubuntu2 cron-like program that doesn't go by time
ii cron 3.0pl1-100ubuntu1 management of regular background processing

~$: ps auxw|grep update-notifier
timmie 6258 0.0 0.9 56540 10204 ? S 09:08 0:00 update-notifier --sm-config-prefix /update-notifier-o6gnDL/ --sm-client-id 117f000001000118347160500000061890004 --screen 0

Michael Vogt (mvo) wrote :

Thanks for your bugreport

Could you please run:
$ /usr/lib/update-notifier/apt-check
$ ls -lh /var/lib/apt/periodic/

and paste the output here?

Changed in update-manager:
status: New → Incomplete
Timmie (timmie) wrote :

Here goes:

~$ /usr/lib/update-notifier/apt-check
/usr/lib/update-notifier/apt-check:6: RuntimeWarning: Python C API version mismatch for module apt_pkg: This Python has API version 1013, module apt_pkg has version 1012.
  import apt_pkg
Reading package lists... Done
Building dependency tree
Reading state information... Done
0~$ ls -lh /var/lib/apt/periodic/
insgesamt 0
-rw-r--r-- 1 root root 0 2012-06-11 06:56 update-stamp
-rw-r--r-- 1 root root 0 2007-05-01 12:09 upgrade-stamp

Timmie (timmie) wrote :

Any idea?

Michael Vogt (mvo) wrote :

It looks like your clock was at some point very wrong:

0~$ ls -lh /var/lib/apt/periodic/
insgesamt 0
-rw-r--r-- 1 root root 0 2012-06-11 06:56 update-stamp

If you delete this file, it should work again.

Changed in update-notifier:
assignee: nobody → mvo
importance: Undecided → Medium
status: Incomplete → Triaged
Timmie (timmie) wrote :

How did it happen that the file got the wrong date?

I will get back on this when my computer gets network access agin.

Daevid Vincent (dae51d) wrote :
Download full text (8.4 KiB)

i did an upgrade from 8.04 to 8.10 and this isn't working either.

if i run it manualy : /etc/cron.daily/apt it just sits there...

root@daevid:/var/lib/apt/periodic# /usr/lib/update-notifier/apt-check
Reading package lists... Done
Building dependency tree
Reading state information... Done
0;0

root@daevid:/etc/cron.daily# strace ./apt
execve("./apt", ["./apt"], [/* 17 vars */]) = 0
brk(0) = 0x8a89000
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7f63000
access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=64977, ...}) = 0
mmap2(NULL, 64977, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f53000
close(3) = 0
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
open("/lib/tls/i686/cmov/libc.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340g\1"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1425800, ...}) = 0
mmap2(NULL, 1431152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7df5000
mmap2(0xb7f4d000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x158) = 0xb7f4d000
mmap2(0xb7f50000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7f50000
close(3) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7df4000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7df48c0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xb7f4d000, 8192, PROT_READ) = 0
mprotect(0x805d000, 4096, PROT_READ) = 0
mprotect(0xb7f80000, 4096, PROT_READ) = 0
munmap(0xb7f53000, 64977) = 0
getpid() = 16492
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
geteuid32() = 0
brk(0) = 0x8a89000
brk(0x8aaa000) = 0x8aaa000
getppid() = 16491
stat64("/etc/cron.daily", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("./apt", O_RDONLY) = 3
fcntl64(3, F_DUPFD, 10) = 10
close(3) = 0
fcntl64(10, F_SETFD, FD_CLOEXEC) = 0
rt_sigaction(SIGINT, NULL, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {0x8056740, ~[RTMIN RT_1], 0}, NULL, 8) = 0
rt_sigaction(SIGQUIT, NULL, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, NULL, 8) = 0
rt_sigaction(SIGTERM, NULL, {SIG_DFL}, 8) = 0
rt_sigaction(SIGTERM, {SIG_DFL}, NULL, 8) = 0
read(10, "#!/bin/sh\n#\n\n#set -e\n#\n# This fi"..., 8192) = 7680
open("/dev/null", O_WRONLY|O_CREAT|O_TRUNC|O_LARGEFILE, 0666) = 3
fcntl64(1, F_DUPFD, 10) = 11
close(1) = 0
fcntl64(11, F_SETFD, FD_CLOEXEC) = 0
dup2(3, 1) = 1
close(3) = 0...

Read more...

Michael Vogt (mvo) wrote :

I changed the daily cron job so that it kills a timestamp that is more than one day in the future

Changed in update-notifier (Ubuntu):
status: Triaged → Fix Committed
affects: update-notifier (Ubuntu) → apt (Ubuntu)
Changed in apt (Ubuntu):
status: Fix Committed → Triaged
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (10.0 KiB)

This bug was fixed in the package apt - 0.7.23.1ubuntu1

---------------
apt (0.7.23.1ubuntu1) karmic; urgency=low

  [ Matt Zimmerman ]
  * apt-pkg/deb/dpkgpm.cc:
    - Suppress apport reports on dpkg short reads (these I/O errors are not
      generally indicative of a bug in the packaging)

  [ Loïc Minier ]
  * cmdline/apt-key:
    - Emit a warning if removed keys keyring is missing and skip associated
      checks (LP: #218971)

  [ Brian Murray ]
  * cmdline/apt-get.cc:
    - typo fix (LP: #370094)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - when tcgetattr() returns non-zero skip all pty magic
      (thanks to Simon Richter, closes: #509866)
  * apt-inst/contrib/arfile.cc:
    - show propper error message for Invalid archive members
  * apt-pkg/acquire-worker.cc:
    - show error details of failed methods
  * apt-pkg/contrib/fileutl.cc:
    - if a process aborts with signal, show signal number
  * methods/http.cc:
    - ignore SIGPIPE, we deal with EPIPE from write in
      HttpMethod::ServerDie() (LP: #385144)
  * debian/apt.cron.daily:
    - if the timestamp is too far in the future, delete it
      (LP: #135262)

  [ Merge ]
  * merged from debian, reverted the libdlopen-udev branch
    because its too late in the release process for this now
  * not merged the proxy behaviour change from 0.7.23 (that will
    be part of lucid)

apt (0.7.23.1) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/pkgcache.cc:
    - do not set internel "needs-configure" state for packages in
      triggers-pending state. dpkg will deal with the trigger and
      it if does it before we trigger it, dpkg will error out
      (LP: #414631)
  * apt-pkg/acquire-item.cc:
    - do not segfault on invalid items (closes: #544080)

apt (0.7.23) unstable; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - add APT::Get::HideAutoRemove=small to display only a short line
      instead of the full package list. (Closes: #537450)
    - ShowBroken() in build-dep (by Mike O'Connor, Closes: #145916)
    - check for statfs.f_type (by Robert Millan, Closes: #509313)
    - correct the order of picked package binary vs source in source
    - use SourceVersion instead of the BinaryVersion to get the source
      Patch by Matt Kraai, thanks! (Closes: #382826)
    - add pkg/archive and codename in source (Closes: #414105, #441178)
  * apt-pkg/contrib/strutl.cc:
    - enable thousand separator according to the current locale
      (by Luca Bruno, Closes: #223712)
  * doc/apt.conf.5.xml:
    - mention the apt.conf.d dir (by Vincent McIntyre, Closes: #520831)
  * apt-inst/contrib/arfile.cc:
    - use sizeof instead strlen (by Marius Vollmer, Closes: #504325)
  * doc/apt-mark.8.xml:
    - improve manpage based on patch by Carl Chenet (Closes: #510286)
  * apt-pkg/acquire-item.cc:
    - use configsettings for dynamic compression type use and order.
      Based on a patch by Jyrki Muukkonen, thanks! (LP: #71746)
  * apt-pkg/aptconfiguration.cc:
    - add default configuration for compression types and add lzma
      support. Order is now bzip2, lzma, gzip, none (Closes: #510526)
  * ftparchive/writer.cc:
    - add lzma support also here, patch for this (and...

Changed in apt (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers